#!/bin/bash

echo -e "sort\tiTest\ttaille\ttri\ttemps\tmem"

for iTest in `seq 1 10`
do
    size=$(( `od -An -N4 -tu < /dev/urandom` % 100000))
    max=$(( `od -An -N4 -tu < /dev/urandom` % 100000))

    for tab in "g" "gt" "gti" "gtp"
    do
        ../tri -$tab $max $size 1 > ../tabs/perf_tab.txt

        if [ $tab = "g" ]
        then
            sort="Aleatoire"
        elif [ $tab = "gt" ]
        then
            sort="Trie"
        elif [ $tab = "gti" ]
        then
            sort="Trie_inverse"
        elif [ $tab = "gtp" ]
        then
            sort="Trie_partiel"
        fi

        for tri in "insertion" "fusion" "rapide" "bulle"
        do
            res=`( /usr/bin/time -f "%U\t%M" ../tri --$tri ../tabs/perf_tab.txt > /dev/null ) 2>&1`
            echo -e "$sort\t$iTest\t$size\t$tri\t$res"
        done

    done
    rm ../tabs/perf_tab.txt
done